<ActionBar class="action-bar"> 
    <ActionItem text="Salir" android.position="popup"  (tap)="logout()"></ActionItem> 
    <Label text="To Do List" class="action-bar-title" style="color: #ffffff;"></Label>
</ActionBar>

<FlexboxLayout class="page-content">
    <StackLayout class="form" style="vertical-align: middle; height: 100%;color: black;" > 
        <GridLayout rows="auto, auto" height="auto">  
            <StackLoyout row="0">   
                <ListView 
                    [items]="ListTask" 
                    (itemTap)="onItemTap($event)"   
                    class="list-group" 
                    id="listView" 
                    loaded="onListViewLoaded()" 
                    separatorColor="orange"
                    rowHeight="50"
                    style="width: 100%; height: 100%; color: #5f5f5f; font-size: 13px;">
                    <ng-template let-item="item" let-i="index" let-third="third">
                        <StackLayout [class.third]="third" >
                            <GridLayout columns="*" rows="auto, auto,*" >  
                                <StackLayout  row="0" col="0" style="padding-top:15dp;padding-left: 15dp; padding-right: 15dp;"> 
                                    <Label [text]='item.description' textWrap="true"></Label> 
                                </StackLayout> 
                            </GridLayout>  
                        </StackLayout>
                    </ng-template>
                </ListView>
                <DockLayout width="100%" height="100%" stretchLastChild="false"> 
                    <AbsoluteLayout verticalAlignment="bottom" dock="bottom" height="60" horizontalAlignment="right" row="0">
                        <FAB (tap)="AddItem()"
                        icon="~/assets/images/icon/plus.png" 
                        swipeAnimation="slideDown" 
                        backgroundColor="#f57c00" 
                        rippleColor="#f1f1f1" 
                        class="fab-button"
                        style="width: 55dp; height: 55dp;padding: 1dp;"></FAB> 
                    </AbsoluteLayout>
                  </DockLayout> 
            </StackLoyout>   
        </GridLayout>   
	</StackLayout> 
</FlexboxLayout>